## asterisk-chan-capi 1.0.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Makefile, based on the Asterisk Makefile, Coypright (C) 1999, Mark Spencer
 #
-# Copyright (C) 2005-2006 Cytronics & Melware
+# Copyright (C) 2005-2007 Cytronics & Melware
 # 
 # Armin Schindler <armin@melware.de>
 # 
@@ -24,6 +24,8 @@
 .EXPORT_ALL_VARIABLES:
 
 .PHONY: openpbx
+
+V=0
 
 INSTALL_PREFIX=
 
@@ -59,6 +61,8 @@
 
 PROC=$(shell uname -m)
 
+AVERSION=$(shell if grep -q "VERSION_NUM 0104" $(ASTERISK_HEADER_DIR)/asterisk/version.h; then echo V1_4; fi)
+
 LIBLINUX=
 DEBUG=-g #-pg
 INCLUDE=-I$(ASTERISK_HEADER_DIR)
@@ -89,11 +93,17 @@
 
 SHAREDOS=chan_capi.so
 
-OBJECTS=chan_capi.o c20msg.o chan_capi_rtp.o
+OBJECTS=chan_capi.o c20msg.o chan_capi_rtp.o chan_capi_qsig_core.o chan_capi_qsig_ecma.o chan_capi_qsig_asn197ade.o chan_capi_qsig_asn197no.o
 
 CFLAGS+=-Wno-missing-prototypes -Wno-missing-declarations
 
 CFLAGS+=-DCRYPTO
+
+ifneq (${AVERSION},V1_4)
+CFLAGS+=`if grep -q AST_JB config.h; then echo -DAST_JB; fi`
+endif
+
+.SUFFIXES: .c .o
 
 all: config.h $(SHAREDOS)
 
@@ -105,8 +115,21 @@
 config.h:
 	./create_config.sh "$(ASTERISK_HEADER_DIR)"
 
+.c.o: config.h
+	@if [ "$(V)" = "0" ]; then \
+		echo " [CC] $*.c -> $*.o";	\
+	else	\
+		echo "$(CC) $(CFLAGS) -c $*.c -o $*.o";	\
+	fi
+	@$(CC) $(CFLAGS) -c $*.c -o $*.o;
+
 chan_capi.so: $(OBJECTS)
-	$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX) -lcapi20
+	@if [ "$(V)" = "0" ]; then \
+		echo " [LD] $@ ($^)";	\
+	else	\
+		echo "$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX) -lcapi20";	\
+	fi
+	@$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX) -lcapi20
 
 install: all
 	$(INSTALL) -d -m 755 $(MODULES_DIR)
