## asterisk-chan-capi 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,9 @@
-#
-# (CAPI*)
 #
 # An implementation of Common ISDN API 2.0 for Asterisk
 #
 # Makefile, based on the Asterisk Makefile, Coypright (C) 1999, Mark Spencer
 #
-# Copyright (C) 2005-2007 Cytronics & Melware
+# Copyright (C) 2005-2008 Cytronics & Melware
 # 
 # Armin Schindler <armin@melware.de>
 # 
@@ -19,6 +17,8 @@
 #
 
 OSNAME=${shell uname}
+
+USE_OWN_LIBCAPI=yes
 
 .EXPORT_ALL_VARIABLES:
 
@@ -60,22 +60,29 @@
 
 AVERSION=$(shell if grep -q "VERSION_NUM 0104" $(ASTERISK_HEADER_DIR)/asterisk/version.h; then echo V1_4; fi)
 
-LIBLINUX=
+ifeq (${USE_OWN_LIBCAPI},yes)
+INCLUDE= -I./libcapi20 
+LIBLINUX= 
+else
+INCLUDE= 
+LIBLINUX=-lcapi20
+endif
+
 DEBUG=-g #-pg
-INCLUDE=-I$(ASTERISK_HEADER_DIR)
+INCLUDE+= -I$(ASTERISK_HEADER_DIR)
 ifndef C4B
 ifeq (${OSNAME},FreeBSD)
-INCLUDE+=$(shell [ -d /usr/include/i4b/include ] && \
+INCLUDE+= $(shell [ -d /usr/include/i4b/include ] && \
 	echo -n -I/usr/include/i4b/include)
 endif
 ifeq (${OSNAME},NetBSD)
-INCLUDE+=$(shell [ -d /usr/include/i4b/include ] && \
+INCLUDE+= $(shell [ -d /usr/include/i4b/include ] && \
         echo -n -I/usr/include/i4b/include)
 endif
 endif #C4B
 
 ifdef C4B
-LIBLINUX=-L/usr/local/lib -llinuxcapi20
+LIBLINUX+=-L/usr/local/lib -llinuxcapi20
 endif
 
 CFLAGS=-pipe -fPIC -Wall -Wmissing-prototypes -Wmissing-declarations $(DEBUG) $(INCLUDE) -D_REENTRANT -D_GNU_SOURCE
@@ -94,6 +101,10 @@
 	chan_capi_qsig_core.o chan_capi_qsig_ecma.o chan_capi_qsig_asn197ade.o	\
 	chan_capi_qsig_asn197no.o chan_capi_supplementary.o chan_capi_chat.o
 
+ifeq (${USE_OWN_LIBCAPI},yes)
+OBJECTS += libcapi20/convert.o libcapi20/capi20.o libcapi20/capifunc.o
+endif
+
 CFLAGS+=-Wno-missing-prototypes -Wno-missing-declarations
 
 CFLAGS+=-DCRYPTO
@@ -109,6 +120,7 @@
 clean:
 	rm -f config.h
 	rm -f *.so *.o
+	rm -f libcapi20/*.o
 
 config.h:
 	./create_config.sh "$(ASTERISK_HEADER_DIR)"
@@ -121,13 +133,13 @@
 	fi
 	@$(CC) $(CFLAGS) -c $*.c -o $*.o;
 
-chan_capi.so: $(OBJECTS)
+$(SHAREDOS): $(OBJECTS)
 	@if [ "$(V)" = "0" ]; then \
 		echo " [LD] $@ ($^)";	\
 	else	\
-		echo "$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX) -lcapi20";	\
+		echo "$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX)";	\
 	fi
-	@$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX) -lcapi20
+	@$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX)
 
 install: all
 	$(INSTALL) -d -m 755 $(MODULES_DIR)
