## asterisk-chan-capi 1.1.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 # Makefile, based on the Asterisk Makefile, Coypright (C) 1999, Mark Spencer
 #
-# Copyright (C) 2005-2008 Cytronics & Melware
+# Copyright (C) 2005-2009 Cytronics & Melware
 # 
 # Armin Schindler <armin@melware.de>
 #
