## asterisk-chan-capi 1.1.4

=== Makefile ===
--- 
+++ 
@@ -97,7 +97,7 @@
 
 SHAREDOS=chan_capi.so
 
-OBJECTS=chan_capi.o chan_capi_utils.o chan_capi_rtp.o xlaw.o	\
+OBJECTS=chan_capi.o chan_capi_utils.o chan_capi_rtp.o chan_capi_command.o xlaw.o dlist.o	\
 	chan_capi_qsig_core.o chan_capi_qsig_ecma.o chan_capi_qsig_asn197ade.o	\
 	chan_capi_qsig_asn197no.o chan_capi_supplementary.o chan_capi_chat.o
