=== debian/changelog ===
asterisk-chan-capi (1.1.6-1) unstable; urgency=low

  * New upstream release
    - Fixes "needs migration to asterisk 1.8" (Closes: #631269, #625020)

  [ Tzafrir Cohen ]
  * Switch from dpatch to dpkg v3.
  * Add myself as uploader.
  * Switch packaging to dh.
  * Require a slightly newer debhelper (>= 7.0.50~) for dh overrides.

  [ Mark Purcell ]
  * debian/compat -> 9
  * Cleanout debian/rules

 -- Mark Purcell <msp@debian.org>  Sat, 27 Oct 2012 09:56:11 +1100

asterisk-chan-capi (1.1.5-1) unstable; urgency=low

  * New upstream release
  * Fix "chan_capi fails to load" Rebuild fixes (Closes: #548703)
    - Added NEWS to highlight ongoing API mismatch

 -- Mark Purcell <msp@debian.org>  Fri, 07 May 2010 21:09:47 +1000

asterisk-chan-capi (1.1.4-1) unstable; urgency=low

  * New upstream version

 -- Lionel Elie Mamane <lmamane@debian.org>  Sun, 11 Oct 2009 17:35:13 +0200

asterisk-chan-capi (1.1.2-2) unstable; urgency=low

  * Switch to Asterisk 1.6
  * Bump up Standards-Version to 3.8.2

 -- Lionel Elie Mamane <lmamane@debian.org>  Fri, 24 Jul 2009 13:14:51 +0200

asterisk-chan-capi (1.1.2-1) unstable; urgency=low

  * new upstream version

 -- Lionel Elie Mamane <lmamane@debian.org>  Mon, 02 Feb 2009 21:10:11 +0100

asterisk-chan-capi (1.1.1-2) UNRELEASED; urgency=low

  * lintian clean: asterisk.h.dpatch description

 -- Mark Purcell <msp@debian.org>  Fri, 05 Sep 2008 20:05:45 +1000

asterisk-chan-capi (1.1.1-1) unstable; urgency=low

  * New upstream release.
    - Removed debian/patches/asterisk_1.4.3.dpatch, merged upstream.
    - Patch upstream's Makefile to use system's libcapi instead of the shipped
      one.
  * Enable "noisy build", so that gcc arguments are visible on build logs.
  * Bump Standards-Version to 3.7.3, no changes.
  * Switch to asterisk-1.4 dependency, hopefully depending on a frozen ABI.
  * Depend on asterisk-dev >= 1:1.4, fixes lintian warning.
  * Remove isdn4linux and OpenPBX references in the long description.
  * Update Uploaders to reflect the truth about the maintainers
    of the package.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 01 Apr 2008 08:14:08 +0300

asterisk-chan-capi (1.0.2-1) unstable; urgency=low

  * Extremadura release ;-)

  [ Kilian Krause ]
  * New upstream release.

 -- Mark Purcell <msp@debian.org>  Fri, 30 Nov 2007 15:54:46 +0100

asterisk-chan-capi (1.0.1-2) unstable; urgency=low

  [ Lionel Elie Mamane ]
  * Document that chan-capi needs res_features (closes: #434649)
  * Bump up Standards-Version to 3.7.2

  [ Kilian Krause ]
  * Don't ignore make clean error.
  * Add Homepage field as added in dpkg-dev 1.14.6.

  [ Faidon Liambotis ]
  * Add myself to Uploaders.
  * Point XS-Vcs-Svn, XS-Vcs-Browser URLs to the chan-capi subdirectory.
  * Remove Conflicts/Replaces chan-capi which is a pre-sarge package.
  * Build-Depend on asterisk-dev >= 1.4. (Closes: #441237)
  * Switch asterisk from Recommends to Depends and make it versioned >= 1.4.
  * Update debhelper compatibility to v5.
  * Remove postinst script and adduser dependency; its actions are covered by
    the postinst of asterisk.
  * Cleanup debian/rules of useless targets and comments.

 -- Kilian Krause <kilian@debian.org>  Sat, 22 Sep 2007 12:08:44 +0200

asterisk-chan-capi (1.0.1-1) unstable; urgency=low

  * New upstream release 1.0.1 (Closes: #412131)
  * Backport patch from trunk for compatibility with Asterisk 1.4.3 (closes: #416774)

 -- Lionel Elie Mamane <lmamane@debian.org>  Thu, 14 Jun 2007 18:27:50 +0200

asterisk-chan-capi (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Thu, 22 Mar 2007 07:09:48 +0000

asterisk-chan-capi (0.7.1-1.1) unstable; urgency=high

  * Non-maintainer upload
  * Protect calls to capi_cmsg2str and use of its buffer with a mutex.
    (Closes: #411293)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed,  7 Mar 2007 01:58:53 +0000

asterisk-chan-capi (0.7.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules dh_installchangelogs CHANGES
  * Ack NMU
    - implicit pointer conversion (Closes: #383093)

 -- Mark Purcell <msp@debian.org>  Sun, 22 Oct 2006 20:49:40 +0100

asterisk-chan-capi (0.7.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Modify 01_debian-patch.dpatch to no longer remove the
    #include <asterisk/features.h> directive which was causing an
    implicitly converted return pointer from ast_pickup_ext()
    (Closes: #383093)

 -- dann frazier <dannf@debian.org>  Sun, 24 Sep 2006 19:16:06 -0600

asterisk-chan-capi (0.7.0-1) unstable; urgency=low

  * New upstream release
    - Please package version 0.7.0 (Closes: #382346)
  * Drop 02_kernel_post_2.6.10_fix.dpatch
  * Update debian/control
  * Update debian/watch
  * Build system tries to select "-march=FOO" CFLAG; that's b0rken
    (Closes: #357012)

 -- Mark Purcell <msp@debian.org>  Thu, 10 Aug 2006 22:20:58 +0100

asterisk-chan-capi (0.6.5-1) unstable; urgency=low

  * New upstream release
  * New version cm-0.6.5 (Closes: #361703)
  * Update debian/watch

 -- Mark Purcell <msp@debian.org>  Sat,  6 May 2006 16:28:59 +0100

asterisk-chan-capi (0.6.4-1) unstable; urgency=low

  * New upstream release (closes: #352245)

 -- Lionel Elie Mamane <lmamane@debian.org>  Fri, 10 Feb 2006 19:45:13 +0100

asterisk-chan-capi (0.6.3-1) unstable; urgency=low

  [ Kilian Krause ]
  * New upstream release. (Closes: #329251, #328914, #315430, #340875, #345556)

  [ Mark Purcell ]
  * Update debian/watch

 -- Lionel Elie Mamane <lmamane@debian.org>  Thu, 19 Jan 2006 19:34:30 +0100

asterisk-chan-capi (0.3.5-12) unstable; urgency=low

  [ Kilian Krause ]
  * fix 2.6.10-rc5 and later kernels. Thanks goes to Martin Jess
    <debian-bugs@fhloston.org> for providing the fix ;)
    (Closes: #308106)

  [ Mark Purcell ]
  * Rebuild due to libcapi20-dev changed soname
  * needs a rebuild for libcapi20-3 (Closes: #323548)
  * Add Build-Depends: adduser
  * Remove upstream INSTALL and copy relevance to README.Debian


