=== debian/control ===
Source: asterisk-chan-capi
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Lionel Elie Mamane <lmamane@debian.org>, Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>, Faidon Liambotis <paravoid@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper (>= 9), asterisk-dev (>= 1:1.8), libcapi20-dev
Standards-Version: 3.9.2
Homepage: http://www.chan-capi.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/asterisk-chan-capi/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/asterisk-chan-capi/?op=log

Package: asterisk-chan-capi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, asterisk (>= 1:1.8)
Description: Common ISDN API 2.0 implementation for Asterisk
 A channel driver for the Asterisk software telephony PBX using the
 Common ISDN API (CAPI) 2.0. It is intended to be used with ISDN hardware that
 provide such an interface.
