=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	$(MAKE) install_config install INSTALL_PREFIX=$(CURDIR)/debian/asterisk-chan-capi

override_dh_installchangelogs:
	dh_installchangelogs CHANGES
