=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
opts=pasv ftp://ftp.chan-capi.org/chan-capi/	chan_capi-([\d.].*)\.tar\.gz	debian	svn-upgrade
